
Redmine - Defect #9188

Relations are not included in the response on the REST api call GetIssues 

2011-09-05 23:44 - John Karman

Status: Closed Start date: 2011-09-05

Priority: High Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.1

Description

Is seems that the GetIssues call does not send the relations in the reply.

When trying to send this:

http://www.redmine.org/issues.xml?limit=2&project_id=redmine&offset=0&include=relations&key=

I do not get any relations back in the reply.

See the attached XML file for the response.

Many thanks to "Alexey Skorokhodov" for assistance.

History

#1 - 2011-09-06 09:30 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

include=relations is meant to work when querying a specific issue, e.g. 

http://demo.redmine.org/projects/frezcrcr/issues/3241.xml?limit=2&include=relations

Don't take www.redmine.org as an example since it is not guaranteed to be up to the latest stable version, use demo.redmine.org instead

Finally, you should report this issue on Redmine Java API tracker, this tracker is for Redmine core bugs and feature requests only

#2 - 2011-09-06 10:33 - John Karman

Oh, I must have misunderstood the API then...

I have already before filing this report, actually filed a report to the Java-Api and the owner there concluded that this was an error in Redmine, see:

http://code.google.com/p/redmine-java-api/issues/detail?id=79

If this is not supported, could we perhaps change this issue to be a feture request instead then instead of closing it?

or should I make a new issue about that?

Thanks for the really fast reply!

#3 - 2011-09-06 10:46 - Etienne Massip

John Karman wrote:

If this is not supported, could we perhaps change this issue to be a feture request instead then instead of closing it?

or should I make a new issue about that?

 Yes, for clarity, I would prefer that you fill a new Feature Request in, thanks.

Files

FindingRelationsIssue.xml 2.82 KB 2011-09-05 John Karman
